# Summary

## Useful links
* [Strapi Website](http://strapi.io)
* [GitHub Repository](https://github.com/strapi/strapi)
* [Contributing Guide](https://github.com/strapi/strapi/blob/master/CONTRIBUTING.md)

### Getting started
* [Installation](getting-started/installation.md)
* [Quick start](getting-started/quick-start.md)

### CLI
* [Command line interface](cli/CLI.md)

### Concepts
* [Table of contents](concepts/concepts.md)

### Guides
* [Authentication](guides/authentication.md)
* [Configurations](configurations/configurations.md)
* [Controllers](guides/controllers.md)
* [Deployment](guides/deployment.md)
* [Email](guides/email.md)
* [File Upload](guides/upload.md)
* [Filters](guides/filters.md)
* [GraphQL](guides/graphql.md)
* [Internationalization](guides/i18n.md)
* [Models](guides/models.md)
* [Policies](guides/policies.md)
* [Public Assets](guides/public-assets.md)
* [Requests](guides/requests.md)
* [Responses](guides/responses.md)
* [Routing](guides/routing.md)
* [Services](guides/services.md)

### Plugin Development
* [Quick start](plugin-development/quick-start.md)
* [Plugin Folders and Files Architecture](plugin-development/plugin-architecture.md)
* [Back-end Development](plugin-development/backend-development.md)
* [Front-end Development](plugin-development/frontend-development.md)
* [Front-end Use Cases](plugin-development/frontend-use-cases.md)
* [Front-end Helpers](plugin-development/utils.md)
* [Front-end UI Components](plugin-development/ui-components.md)

### Advanced Usage
* [Admin panel](advanced/customize-admin.md)
* [Logging](advanced/logging.md)
* [Hooks](advanced/hooks.md)
* [Middlewares](advanced/middlewares.md)
* [Tracking usage](advanced/usage-tracking.md)

### API Reference
* [Table of contents](api-reference/reference.md)

### Tutorials
* [Table of contents](tutorials/README.md)

### Migration
* [Migration guides](https://github.com/strapi/strapi/wiki)
